## ocaml-taglib 0.2.0

=== examples/Makefile ===
SOURCES = tagutil.ml
RESULT = tagutil
LIBS = unix taglib
INCDIRS = ../src

all: nc

-include OCamlMakefile

## ocaml-taglib 0.1.4

=== debian/changelog ===
ocaml-taglib (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2
  * Switch to 3.0 (quilt) package format.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 02 Jul 2011 14:50:15 -0500

ocaml-taglib (0.1.3-2) unstable; urgency=low

  * Switch to new automatic dependency system.
  * Fixed Vcs-* fields.
  * Bumped standards version to 3.8.3
  * Added doc-base registration.
 
 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 18:55:44 -0500

ocaml-taglib (0.1.3-1) unstable; urgency=low

  * New Upstream Version
  * Bumped standards version to 3.8.2 
  * Updated debian/copyright
  * Enabled debugging.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 22 Jun 2009 01:04:00 +0200

ocaml-taglib (0.1.2-3) unstable; urgency=low

  * Rebuild with OCaml 3.11
  * Switch packaging to git.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Fri, 27 Feb 2009 09:31:31 +0100

ocaml-taglib (0.1.2-2) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion.
  * Switched to cdbs
  * Added dh-ocaml to build-deps.
  * Updated standards to 3.8.0.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 14 Dec 2008 00:01:49 +0100

ocaml-taglib (0.1.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Julien Cristau ]
  * Fix FTBFS with new dpkg-dev by setting CFLAGS correctly in
    debian/rules (closes: 476065).

  [ Romain Beauxis ]
  * New upstream release, now installs .cmx file
  * Changed maintainer to Debian OCaml Maintainers

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 16 Apr 2008 17:06:54 +0100

ocaml-taglib (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 17 Dec 2007 02:44:20 +0100

ocaml-taglib (0.1.0-1) unstable; urgency=low

  * Initial release and upload to unstable
    Closes: #454992

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Dec 2007 01:58:09 +0100

=== debian/control ===
Source: ocaml-taglib
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 libtagc0-dev, 
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-taglib.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-taglib.git

Package: libtaglib-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the TagLib Audio Meta-Data Library
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. This package provides OCaml interface to
 the C library.
 .
 This package contains only the shared runtime stub libraries.

Package: libtaglib-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libtagc0-dev, libtaglib-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the TagLib Audio Meta-Data Library -- devel
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. This package provides OCaml interface to
 the C library.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use taglib.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libtaglib-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile doc config.log config.status src/META examples/Makefile.http \
	examples/Makefile.telnet src/Makefile

## ocaml-taglib 0.2.0

=== debian/changelog ===
ocaml-taglib (0.2.0-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 31 Aug 2011 09:34:35 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-buildinfo,
  ocaml-nox,
  dh-ocaml (>= 0.9), 
- libtagc0-dev, 
+ libtag1-dev, 
  ocaml-findlib (>= 1.2.4), 
  pkg-config
 Standards-Version: 3.9.2
@@ -24,18 +24,18 @@
 Description: OCaml bindings for the TagLib Audio Meta-Data Library
  TagLib is a library for reading and editing the meta-data of several popular
  audio formats. This package provides OCaml interface to
- the C library.
+ the TagLib library.
  .
  This package contains only the shared runtime stub libraries.
 
 Package: libtaglib-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libtagc0-dev, libtaglib-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
+Depends: ${ocaml:Depends}, libtag1-dev, libtaglib-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for the TagLib Audio Meta-Data Library -- devel
  TagLib is a library for reading and editing the meta-data of several popular
  audio formats. This package provides OCaml interface to
- the C library.
+ the TagLib library.
  .
  This package contains all the development stuff you need to develop
  OCaml programs which use taglib.

## ocaml-taglib 0.3.1

=== examples/properties/Makefile ===
SOURCES = properties.ml
RESULT = properties
LIBS = unix taglib
INCDIRS = ../../src
ANNOTATE = true

all: nc

-include OCamlMakefile

=== examples/tagutil/Makefile ===
SOURCES = tagutil.ml
RESULT = tagutil
LIBS = unix taglib
INCDIRS = ../../src

all: nc

-include OCamlMakefile

=== debian/changelog ===
ocaml-taglib (0.3.1-1build3) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 14:08:57 -0600

ocaml-taglib (0.3.1-1build2) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 18:10:59 -0500

ocaml-taglib (0.3.1-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:54 +0000

ocaml-taglib (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:25:14 -0500

ocaml-taglib (0.3.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Bumped standards version to 3.9.4 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 12:10:05 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libtag1-dev, 
  ocaml-findlib (>= 1.2.4), 
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-taglib.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-taglib.git

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/ocaml.mk
-
-# In order to regenerate 'debian/control' :
-#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
-# Then check manually if everything's ok
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
 DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-taglib-(.+)\.tar\.gz

## ocaml-taglib 0.3.6

=== examples/properties/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 LIBS = unix taglib
 INCDIRS = ../../src
 ANNOTATE = true
+OCAMLOPT = ocamlfind ocamlopt
 
 all: nc

=== examples/tagutil/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 RESULT = tagutil
 LIBS = unix taglib
 INCDIRS = ../../src
+OCAMLFLAGS = -verbose
+OCAMLOPT = ocamlfind ocamlopt
 
 all: nc

=== debian/changelog ===
ocaml-taglib (0.3.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders
  * Update Homepage and debian/watch
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 09:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: 
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
- libtag1-dev, 
- ocaml-findlib (>= 1.2.4), 
+ dh-ocaml,
+ libtag1-dev,
+ ocaml-findlib,
  pkg-config
-Standards-Version: 3.9.4
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-taglib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-taglib.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-taglib
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-taglib.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-taglib
 
 Package: libtaglib-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-taglib/releases .*ocaml-taglib-([0-9.]+)\.tar\.gz

## ocaml-taglib 0.3.7

=== debian/changelog ===
ocaml-taglib (0.3.7-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:29 +0100

ocaml-taglib (0.3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #647449)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 19:50:32 +0100

ocaml-taglib (0.3.6-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Team upload
  * Add build-dependency zlib1g-dev (closes: #997251)
  * Standards-Version 4.6.0 (no change)
  * Fixed a typo in debian/copyright
  * debian/watch version 4 (no change)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Ralf Treinen <treinen@debian.org>  Mon, 01 Nov 2021 09:03:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
  ocaml-nox,
  dh-ocaml,
  libtag1-dev,
- ocaml-findlib,
- pkg-config
-Standards-Version: 4.5.0
+ ocaml-dune,
+ libdune-ocaml-dev,
+ pkg-config,
+ zlib1g-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-taglib
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-taglib.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p taglib

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-taglib/releases .*/v?([0-9.]+)\.tar\.gz

## ocaml-taglib 0.3.9

=== debian/changelog ===
ocaml-taglib (0.3.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 09:56:44 +0100

## ocaml-taglib 0.3.10

=== debian/changelog ===
ocaml-taglib (0.3.10-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:16:34 +0100

ocaml-taglib (0.3.10-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:38:03 +0200

ocaml-taglib (0.3.10-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 12:58:21 +0200

ocaml-taglib (0.3.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 11:41:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- ocaml-nox,
- dh-ocaml,
+ ocaml,
+ dh-ocaml (>= 1.2),
  libtag1-dev,
  ocaml-dune,
  libdune-ocaml-dev,
